## icedove 52.3.0

=== mozilla/security/nss/tests/remote/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################



#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

TESTPACKAGE="nss-$(OS_TARGET)$(CPU_TAG).tgz"
RTSH=$(DIST)/../../runtests.sh
PCFG=$(DIST)/platform.cfg


#Hint: In order to test the Makefiles without running the tests, use:
#      make NSS_CYCLES="standard" NSS_TESTS="dummy"

ifeq ($(OS_TARGET),Android)
TEST_SHELL?=$$HOME/bin/sh
ANDROID_PORT?="2222"
#Define the subset of tests that is known to work on Android
NSS_CYCLES?="standard pkix upgradedb sharedb"
NSS_TESTS?="cipher lowhash libpkix cert dbtests tools sdr crmf smime ssl ocsp merge pkits chains"
NSS_SSL_TESTS?="crl normal_normal iopr"
NSS_SSL_RUN?="cov auth stress"
else
TEST_SHELL?="/bin/sh"
endif

# Create a package for test execution on a separate system.
package_for_testing:
	echo "export OBJDIR=$(OBJDIR_NAME)"     > $(PCFG)
	echo "export OS_ARCH=$(OS_ARCH)"       >> $(PCFG)
	echo "export OS_TARGET=$(OS_TARGET)"   >> $(PCFG)
	echo "export DLL_PREFIX=$(DLL_PREFIX)" >> $(PCFG)
	echo "export DLL_SUFFIX=$(DLL_SUFFIX)" >> $(PCFG)
	echo 'echo "set HOST and DOMSUF if your system is not registered in DNS"' > $(RTSH)
	cat $(PCFG)                                  >> $(RTSH)
	echo 'export NSS_TESTS=$(NSS_TESTS)'         >> $(RTSH)
	echo 'export NSS_SSL_TESTS=$(NSS_SSL_TESTS)' >> $(RTSH)
	echo 'export NSS_SSL_RUN=$(NSS_SSL_RUN)'     >> $(RTSH)
	echo 'export NSS_CYCLES=$(NSS_CYCLES)'       >> $(RTSH)
	echo 'export USE_64=$(USE_64)'               >> $(RTSH)
	echo 'export BUILD_OPT=$(BUILD_OPT)'         >> $(RTSH)
	echo 'export PKITS_DATA=$(PKITS_DATA)'       >> $(RTSH)
	echo 'export NSS_DISABLE_ECC=$(NSS_DISABLE_ECC)'                     >> $(RTSH)
	echo 'export NSPR_LOG_MODULES=$(NSPR_LOG_MODULES)'                   >> $(RTSH)
ifeq ($(OS_TARGET),Android)
	# Android doesn't support FIPS tests, because
	# dladdr does not return a full path for implicitly loaded libraries
	echo "export NSS_TEST_DISABLE_FIPS=1" >> $(DIST)/platform.cfg
endif
ifeq ($(CROSS_COMPILE),1)
# execute signing on test system
	echo 'export DIST=$${HOME}/nsstest/dist/'           >> $(RTSH)
	echo 'export NSPR_LIB_DIR=$${DIST}/$${OBJDIR}/lib/' >> $(RTSH)
	echo 'echo "signing"'                               >> $(RTSH)
# work around a bug in Android ash that has a corrupted work directory after login
	echo 'cd $${HOME}/nsstest'                          >> $(RTSH)
	echo 'cd nss/cmd/shlibsign'                         >> $(RTSH)
	echo '$(TEST_SHELL) ./sign.sh $${DIST}/$${OBJDIR}/ $${DIST}/$${OBJDIR}/bin $${OS_TARGET} $${NSPR_LIB_DIR} $${NSPR_LIB_DIR}$${DLL_PREFIX}freebl3.$${DLL_SUFFIX}'  >> $(RTSH)
	echo '$(TEST_SHELL) ./sign.sh $${DIST}/$${OBJDIR}/ $${DIST}/$${OBJDIR}/bin $${OS_TARGET} $${NSPR_LIB_DIR} $${NSPR_LIB_DIR}$${DLL_PREFIX}softokn3.$${DLL_SUFFIX}' >> $(RTSH)
	echo '$(TEST_SHELL) ./sign.sh $${DIST}/$${OBJDIR}/ $${DIST}/$${OBJDIR}/bin $${OS_TARGET} $${NSPR_LIB_DIR} $${NSPR_LIB_DIR}$${DLL_PREFIX}nssdbm3.$${DLL_SUFFIX}'  >> $(RTSH)
ifneq ($(OS_TARGET),Android)
# Android's ash doesn't support "export -n" yet
	echo 'export -n DIST'                          >> $(RTSH)
	echo 'export -n NSPR_LIB_DIR'                  >> $(RTSH)
endif
	echo 'cd ../../../'                            >> $(RTSH)
endif
	echo 'rm -rf tests_results'                    >> $(RTSH)
	echo 'echo "running tests"'                    >> $(RTSH)
	echo 'cd nss/tests'                            >> $(RTSH)
	# We require progress indication on stdout while running the tests (to avoid timeouts).
	set -o pipefail
	echo '$(TEST_SHELL) ./all.sh | tee ../../logfile 2>&1 |grep ": #"'          >> $(RTSH)
	RETVAL=$?
	echo 'cd ../../'                               >> $(RTSH)
	# dump test summary from end of logfile
	echo 'echo "=========="; tail -100 logfile'    >> $(RTSH)
	echo 'tar czf tests_results.tgz tests_results'                              >> $(RTSH)
	echo 'echo "created tests_results.tgz"'                                     >> $(RTSH)
	echo 'echo "results are in directory: "`ls -1d tests_results/security/*.1`' >> $(RTSH)
	echo 'echo exit status: $${RETVAL}'                                         >> $(RTSH)
	echo 'exit $${RETVAL}'                                                      >> $(RTSH)
	rm -f $(TESTPACKAGE)
	(cd $(DIST)/../.. ; tar czhf dist/$(TESTPACKAGE) runtests.sh dist/$(OBJDIR_NAME) dist/public nss/tests nss/cmd/bltest/tests nss/cmd/pk11gcmtest/tests nss/cmd/shlibsign; echo "created "`pwd`"/dist/$(TESTPACKAGE)" )

android_run_tests:
	ssh -p $(ANDROID_PORT) -o CheckHostIP=no $(ANDROID_ADDR)  'pwd; cd; pwd; cd nsstest; export PATH=$$HOME/bin:$$PATH ; $(TEST_SHELL) runtests.sh'

android_install:
	rm -f $(DIST)/android.sftp
	echo '-mkdir nsstest' > $(DIST)/android.sftp
	echo '-rm nsstest/$(TESTPACKAGE)' >> $(DIST)/android.sftp
	echo 'progress' >> $(DIST)/android.sftp
	echo 'put $(DIST)/../$(TESTPACKAGE) nsstest' >> $(DIST)/android.sftp
	sftp -o Port=$(ANDROID_PORT) -o CheckHostIP=no -b $(DIST)/android.sftp $(ANDROID_ADDR)
	ssh -p $(ANDROID_PORT) -o CheckHostIP=no $(ANDROID_ADDR)  'cd nsstest ; $$HOME/bin/rm -rf logfile runtests.sh dist security tests_results tests_results.tgz;  $$HOME/bin/tar xzf $(TESTPACKAGE)'

WORKDIR="$(DIST)/../../"
RESULTSPACKAGE=tests_results.tgz
android_get_result:
	rm -f $(WORKDIR)/result.sftp $(WORKDIR)/$(RESULTSPACKAGE)
	echo "progress" > $(WORKDIR)/result.sftp
	echo 'get nsstest/$(RESULTSPACKAGE) $(WORKDIR)' >> $(WORKDIR)/result.sftp
	sftp -o Port=$(ANDROID_PORT) -o CheckHostIP=no -b $(WORKDIR)/result.sftp $(ANDROID_ADDR) 
	(cd $(WORKDIR); tar xzf $(RESULTSPACKAGE); rm -f result.sftp $(RESULTSPACKAGE) )

# Android testing assumes having built with: OS_TARGET=Android CROSS_COMPILE=1
# Connectivity tested with Android app: SSHDroid
# Provide appropriate ANDROID_ADDR variable, e.g.:
#   make test_android ANDROID_ADDR=root@192.168.4.5
# See also: https://wiki.mozilla.org/NSS:Android

test_android: package_for_testing android_install android_run_tests android_get_result

## icedove 3.0.11

=== debian/changelog ===
icedove (3.0.11-1+squeeze15) stable-security; urgency=high

  * [e3162df] backported patches from xulrunner fixes mfsa2012-{91,93,101,105}
    - MFSA 2012-91 aka CVE-2012-5842: Miscellaneous memory safety hazards
      (rv:17.0/ rv:10.0.11)
    - MFSA 2012-93 aka CVE-2012-4201: evalInSanbox location context
      incorrectly applied
    - MFSA 2012-101 aka CVE-2012-4207: Improper character decoding in
      HZ-GB-2312 charset
    - MFSA 2012-103 aka CVE-2012-4216, CVE-2012-5829: Frames can shadow
      top.location

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 15 Dec 2012 17:59:04 -0500

icedove (3.0.11-1+squeeze14) stable-security; urgency=low

  * [db8ce96] backported patches from xulrunner fixes mfsa2012-{74,77,81,85-87}
    - MFSA 2012-74 aka CVE-2012-3982: Miscellaneous memory safety hazards
      (rv:16.0/ rv:10.0.8)
    - MFSA 2012-77 aka CVE-2012-3986: Some DOMWindowUtils methods bypass
      security checks
    - MFSA 2012-81 aka CVE-2012-3991: GetProperty function can bypass security
      checks
    - MFSA 2012-85 aka CVE-2012-4179, CVE-2012-4180, CVE-2012-4182:
      Use-after-free, buffer overflow, and out of bounds read issues found
      using Address Sanitizer
    - MFSA 2012-86 aka CVE-2012-4186, CVE-2012-4188: Heap memory corruption
      issues found using Address Sanitizer
    - MFSA 2012-87 aka CVE-2012-3990: Use-after-free in the IME State Manager

 -- Christoph Goehre <chris@sigxcpu.org>  Fri, 26 Oct 2012 21:53:42 -0400

icedove (3.0.11-1+squeeze13) stable-security; urgency=high

  * [9738634] backported patches from xulrunner fixes mfsa2012-{57,58,63,65,70}
    - MFSA 2012-57 aka CVE-2012-1970: Miscellaneous memory safety hazards
      (rv:15.0/ rv:10.0.7)
    - MFSA 2012-58 aka CVE-2012-1972, CVE-2012-1973, CVE-2012-1974,
      CVE-2012-1975, CVE-2012-1976, CVE-2012-3959, CVE-2012-3962:
      Use-after-free issues found using Address Sanitizer
    - MFSA 2012-63 aka CVE-2012-3969: SVG buffer overflow and use-after-free
      issues
    - MFSA 2012-65 aka CVE-2012-3972: Out-of-bounds read in format-number in
      XSLT
    - MFSA 2012-70 aka CVE-2012-3978: Location object security checks bypassed
      by chrome code

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 22 Sep 2012 18:44:16 -0400

icedove (3.0.11-1+squeeze12) stable-security; urgency=high

  * [23f20f9] backported patches from xulrunner fixes mfsa2012-{42-44,56}
    - MFSA 2012-42 aka CVE-2012-1948: Miscellaneous memory safety hazards
      (rv:14.0/ rv:10.0.6)
    - MFSA 2012-43 aka CVE-2012-1950: Incorrect URL displayed in addressbar
      through drag and drop
    - MFSA 2012-44 aka CVE-2012-1954: Gecko memory corruption
    - MFSA 2012-56 aka CVE-2012-1967: Code execution through javascript: URLs

 -- Christoph Goehre <chris@sigxcpu.org>  Tue, 24 Jul 2012 18:36:42 +0200

icedove (3.0.11-1+squeeze11) stable-security; urgency=high

  * [ee0d82e] backported patches from xulrunner fixes mfsa2012-{34,40}
    - MFSA 2012-34 aka CVE-2012-1937, CVE-2012-1939: Miscellaneous memory
      safety hazards
    - MFSA 2012-40 aka CVE-2012-1940: Buffer overflow and use-after-free
      issues found using Address Sanitizer

 -- Christoph Goehre <chris@sigxcpu.org>  Tue, 12 Jun 2012 18:59:10 +0200

icedove (3.0.11-1+squeeze10) stable-security; urgency=low

  * [b3c6c90] Reimplement UTF-7 in mailnews (Closes: #671408, #671410)

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 06 May 2012 20:34:20 +0200

icedove (3.0.11-1+squeeze9) stable-security; urgency=high

  * [54a660a] backported patches from xulrunner fixes mfsa2012-{20,23,24,29,33}
    - MFSA 2012-20 aka CVE-2012-0467: Miscellaneous memory safety hazards
      (rv:12.0/ rv:10.0.4)
    - MFSA 2012-23 aka CVE-2012-0470: Invalid frees causes heap corruption in
      gfxImageSurface
    - MFSA 2012-24 aka CVE-2012-0471: Potential XSS via multibyte content
      processing errors
    - MFSA 2012-29 aka CVE-2012-0477: Potential XSS through
      ISO-2022-KR/ISO-2022-CN decoding issues
    - MFSA 2012-33 aka CVE-2012-0479: Potential site identity spoofing when
      loading RSS and Atom feeds

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 28 Apr 2012 12:34:30 +0200

icedove (3.0.11-1+squeeze8) stable-security; urgency=high

  * [ee15c08] backported patches from xulrunner fixes mfsa2012-{13,14,16,19}
    - MFSA 2012-13 aka CVE-2012-0455: XSS with Drag and Drop and Javascript:
      URL
    - MFSA 2012-14 aka CVE-2012-0456: SVG issues found with Address Sanitizer
    - MFSA 2012-16 aka CVE-2012-0458: Escalation of privilege with Javascript:
      URL as home page
    - MFSA 2012-19 aka CVE-2012-0461: Miscellaneous memory safety hazards
      (rv:11.0/ rv:10.0.3 / rv:1.9.2.28)

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 17 Mar 2012 16:16:20 +0100

icedove (3.0.11-1+squeeze7) stable-security; urgency=low

  * [d8a8858] backported patches from xulrunner fixes mfsa2012-{01,02,07,08}
    - MFSA 2012-01 aka CVE-2012-0442: Miscellaneous memory safety hazards
      (rv:10.0/ rv:1.9.2.26)
    - MFSA 2012-02 aka CVE-2011-3670: Overly permissive IPv6 literal syntax
    - MFSA 2012-07 aka CVE-2012-0444: Potential Memory Corruption When
      Decoding Ogg Vorbis files
    - MFSA 2012-08 aka CVE-2012-0449: Crash with malformed embedded XSLT
      stylesheets

 -- Christoph Goehre <chris@sigxcpu.org>  Tue, 07 Feb 2012 18:38:47 +0100

icedove (3.0.11-1+squeeze6) stable-security; urgency=high

  * [6f96c16] backported patches from xulrunner fixes mfsa2011-{46,47,49}
    - MFSA 2011-46 aka CVE-2011-3647: loadSubScript unwraps XPCNativeWrapper
      scope parameter
    - MFSA 2011-47 aka CVE-2011-3648: Potential XSS against sites using
      Shift-JIS
    - MFSA 2011-49 aka CVE-2011-3650: Memory corruption while profiling using
      Firebug

 -- Christoph Goehre <chris@sigxcpu.org>  Thu, 10 Nov 2011 21:15:08 +0100

icedove (3.0.11-1+squeeze5) stable-security; urgency=high

  * [44577f9] backported patches from xulrunner fixes mfsa2011-{36-40}


=== debian/control ===
Source: icedove
Section: web
Priority: optional
Maintainer: Alexander Sack <asac@debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Christoph Goehre <chris@sigxcpu.org>
Build-Depends: bzip2,
	debhelper (>= 5),
	autoconf2.13,
	autotools-dev,
	libgtk2.0-dev (>= 2.12),
	zip,
	libjpeg62-dev (>= 6b),
	libpng12-dev (>= 1.2.0),
	zlib1g-dev,
	libxft-dev,
	libfontconfig1-dev,
	libidl-dev (>= 0.8.0),
	libxp-dev,
	libxt-dev,
	libxau-dev,
	libcairo2-dev (>= 1.8.8),
	libgnomevfs2-dev (>= 1:2.16),
	libgnomeui-dev (>= 2.16),
	libhunspell-dev (>= 1.2),
	libnspr4-dev (>= 4.8.6),
	libnss3-dev (>= 3.12.8),
	libstartup-notification0-dev,
	libdbus-glib-1-dev (>= 0.60),
	libsqlite3-dev (>= 3.6.22),
	libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
	libiw-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
	python-ply,
	cdbs (>= 0.4.27)
Vcs-Git: git://git.debian.org/pkg-mozilla/icedove.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/icedove.git;a=summary
DM-Upload-Allowed: yes
Standards-Version: 3.9.1

Package: icedove
Architecture: any
Depends: fontconfig, psmisc, debianutils (>= 1.16), ${shlibs:Depends}, ${misc:Depends}
Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary
Suggests: ttf-lyx, libgssapi-krb5-2, ${gnome:Depends}
Provides: mail-reader
Replaces: icedove-gnome-support (<< 3.0-1~)
Breaks: myspell-ru (<< 0.99g5-8.1), myspell-lv (<< 0.7.3-3.1), myspell-et (<< 1:20030606-12.1), myspell-fi (<< 0.7-17.2), myspell-cs-cz (<< 20040229-4.1), myspell-el-gr (<< 0.3-1.1), myspell-nn (<< 2.0.10-3.1), myspell-nb (<< 2.0.10-3.1), hunspell-ar (<< 0.0.0+20080110-1.1), myspell-hu (<< 0.99.4-1.2), hunspell-gl-es (<< 2.2a-6), myspell-gv (<< 0.50-8), myspell-en-au (<< 2.1-5), myspell-fa (<< 0.20070816-2), hunspell-uz (<< 0.6-3.1), hunspell-ko (<< 0.3.3-1), hunspell-se (<< 1.0~beta6.20081222-1.1), hunspell-de-med (<< 20090825-1), hunspell-en-us (<< 20070829-3), myspell-sv-se (<< 1.3.8-6-2.2), myspell-sk (<< 0.5.5a-2.1), myspell-fo (<< 0.2.36-3), myspell-nl (<< 1:1.10-3), myspell-pt-br (<< 2009.03.30-1.1), myspell-pl (<< 20090830-1), myspell-pt-pt (<< 20090309-1.1), myspell-ga (<< 2.0-19), myspell-gd (<< 0.50-7), myspell-ku (<< 0.20.0-1.1), myspell-hr (<< 20060617-2), myspell-fr-gut (<< 1:1.0-26.1), myspell-eo (<< 2.1.2000.02.25-41), myspell-de-de-oldspell (<< 1:2-25.1), myspell-da (<< 1.6.18-1.1), myspell-es (<< 1.10-7), myspell-de-at (<< 20071211-2), myspell-de-ch (<< 20071211-2), myspell-de-de (<< 20071211-2), hunspell-de-at (<< 20071211-2), hunspell-de-ch (<< 20071211-2), hunspell-de-de (<< 20071211-2), myspell-ca (<< 0.6-8), myspell-tl (<< 0.4-0-5), myspell-ne (<< 1.0-4.1), myspell-fr (<< 1.4-25), myspell-hy (<< 0.10.1-1.1), myspell-en-us (<< 1:3.1.0-3), myspell-en-gb (<< 1:3.1.0-3), myspell-en-za (<< 1:3.1.0-3), myspell-af (<< 1:3.1.0-3), myspell-it (<< 1:3.1.0-3), myspell-sw (<< 1:3.1.0-3), myspell-th (<< 1:3.1.0-3), hunspell-en-ca (<< 1:3.1.0-3), hunspell-ne (<< 1:3.1.0-3), hunspell-da (<< 1:3.1.0-3), hunspell-fr (<< 1:3.1.0-3), hunspell-vi (<< 1:3.1.0-3), hunspell-hu (<< 1:3.1.0-3), hunspell-sr (<< 1:3.1.0-3), hunspell-sh (<< 1:3.1.0-3), icedove-gnome-support (<< 3.0-1~)
Section: mail
Description: mail/news client with RSS and integrated spam filter support
 Icedove is an unbranded Thunderbird mail client suitable for free
 distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
 integrated learning Spam filter, and offers easy organization of mails with
 tagging and virtual folders. Also, more features can be added by installing
 extensions.
 .
 The goal of Icedove is to produce a cross platform standalone mail application
 using the XUL user interface language.

Package: icedove-dev
Architecture: any
Section: mail
Depends: icedove (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libnspr4-dev, libnss3-dev
Description: Development files for Icedove
 Icedove is an unbranded Thunderbird mail client suitable for free
 distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
 integrated learning Spam filter, and offers easy organization of mails with
 tagging and virtual folders. Also, more features can be added by installing
 extensions.
 .
 This package contains the development headers, idl files and static libraries
 needed to develop applications using Icedove.

Package: icedove-dbg
Architecture: any
Priority: extra
Section: debug
Depends: icedove (= ${binary:Version}), ${misc:Depends}
Description: Debug Symbols for Icedove
 Icedove is an unbranded Thunderbird mail client suitable for free
 distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
 integrated learning Spam filter, and offers easy organization of mails with
 tagging and virtual folders. Also, more features can be added by installing
 extensions.
 .
 This package contains the debug symbols for Icedove. Install this package if
 you need to debug such a program or if you need a useful backtrace of a crash.

=== debian/rules ===
#!/usr/bin/make -f

export BUILD_OFFICIAL=1
export INSTALL_SDK=1
export MAIL_PKG_SHARED=1

DEB_MOZ_NAME=icedove
DEB_MOZ_APPLICATION=$(DEB_MOZ_NAME)
MOZ_APPLICATION=mail
XUL_VERSION=1.9.1
MAIN_LDFLAGS := -Wl,--as-needed

ifeq ($(DEB_MOZ_NAME),icedove)
  DEBIAN_DIST := org.debian
  EXTRA_BRANDING_CONFIGURE_FLAGS = --with-branding=${MOZ_APPLICATION}/branding/$(DEB_MOZ_NAME)/
  TB_ICON = debian/icedove.xpm
  DEB_MOZ_NAME_FIRST_UPPER=Icedove
else
  DEBIAN_DIST := com.ubuntu
  TB_ICON = $(DEB_SRCDIR)/other-licenses/branding/thunderbird/content/icon64.png
  DEB_MOZ_NAME_FIRST_UPPER=Thunderbird
endif

ifeq ($(XUL_VERSION),1.9.1)
  TB_VERSION_FILE := version-191.txt
else
  TB_VERSION_FILE := version.txt
endif

DEBIAN_TB_DIR   = /usr/lib/$(DEB_MOZ_NAME)
DEBIAN_XUL_DEV := $(wildcard /usr/lib/xulrunner-devel-1.9*)

MOZCLIENT_PROJECTNAME   := $(DEB_MOZ_APPLICATION)
MOZCLIENT_PROJECTDIR    := $(CURDIR)/debian/mozclient

DEB_SRCDIR		:= .
# DEB_BUILDDIR		:= objdir-tb

EXTRA_SYSTEM_CONFIGURE_FLAGS = $(NULL)

USE_SYSTEM_XUL := 0

ifeq (1,$(USE_SYSTEM_XUL))
   EXTRA_SYSTEM_CONFIGURE_FLAGS += --with-libxul-sdk=$(DEBIAN_XUL_DEV)
endif

DEB_AUTO_UPDATE_AUTOCONF=2.13

ifneq (,$(wildcard *.tar.bz2)$(DEBIAN_MOZCLIENT_EMBEDDED))
   DEB_TAR_SRCDIR := mozilla
   MOZCLIENT_EMBEDDED = 1
   DEBIAN_TB_DIR = /usr/lib/$(DEB_MOZ_NAME)-$(shell tail -1 build-tree/mozilla/$(MOZ_APPLICATION)/config/$(TB_VERSION_FILE))
   include /usr/share/cdbs/1/rules/tarball.mk
endif
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include $(CURDIR)/debian/mozclient/$(DEB_MOZ_APPLICATION).mk
include $(CURDIR)/debian/mozclient/compare.mk

DEB_AUTO_UPDATE_DEBIAN_CONTROL=0

DEB_MOZ_EXTENSIONS=default
DEB_DBG_PACKAGES = $(DEB_MOZ_NAME)-dbg

DEB_DH_SHLIBDEPS_ARGS_ALL=-l $(DEB_DESTDIR)usr/lib/$(DEB_MOZ_APPLICATION) -Xlibmozgnome -Xlibnkgnomevfs -Xlibdbusservice

DEB_DH_MAKESHLIBS_ARGS_ALL=-Xlibsystem-pref.so

CFLAGS = -g
CXXFLAGS = -g -std=gnu++0x

# DEB_CONFIGURE_SCRIPT_ENV = \
# 	MOZ_OBJDIR=@TOPSRCDIR@/$(DEB_BUILDDIR) \
# 	$(NULL)

DEB_CONFIGURE_USER_FLAGS= \
	$(EXTRA_SYSTEM_CONFIGURE_FLAGS) \
	--enable-application=$(MOZ_APPLICATION) \
	--enable-extensions=$(DEB_MOZ_EXTENSIONS) \
	--with-default-mozilla-five-home=$(DEBIAN_TB_DIR) \
	--enable-startup-notification \
	--with-user-appdir=.mozilla \
	--with-system-jpeg=/usr \
	--with-system-zlib=/usr \
	--with-system-bz2 \
	--with-system-png \
	--with-system-nspr \
	--with-system-nss \
	--disable-javaxpcom \
	--disable-crashreporter \
	--disable-elf-dynstr-gc \
	--disable-installer \
	--disable-strip \
	--disable-strip-libs \
	--disable-install-strip \
	--disable-tests \
	--disable-mochitest \
	--disable-updater \
	--enable-pango \
	--enable-xft \
	--enable-xinerama \
	--enable-svg \
	--enable-svg-renderer=cairo \
	--enable-gnomevfs \
	--enable-gnomeui \
	--enable-canvas \
	--enable-crypto \
	--enable-system-cairo \
	--enable-system-sqlite \
	--with-distribution-id=$(DEBIAN_DIST) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--host=$(DEB_HOST_GNU_TYPE) \
	$(EXTRA_BRANDING_CONFIGURE_FLAGS) \
	$(NULL)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	DEB_CONFIGURE_USER_FLAGS += --disable-optimize
else
	DEB_CONFIGURE_USER_FLAGS += --enable-optimize
endif

ifeq ($(DEB_BUILD_ARCH),alpha)
	MAIN_LDFLAGS += -Wl,--no-relax
endif

subst_files = \
	debian/$(DEB_MOZ_APPLICATION).postinst \
	debian/$(DEB_MOZ_APPLICATION).prerm \
	debian/$(DEB_MOZ_APPLICATION).install \
	debian/$(DEB_MOZ_APPLICATION)-dev.install \
	debian/$(DEB_MOZ_APPLICATION).links \
	debian/$(DEB_MOZ_APPLICATION).menu \
	debian/$(DEB_MOZ_APPLICATION).desktop \
	debian/$(DEB_MOZ_APPLICATION).pc \
	$(NULL)

$(DEB_MOZ_APPLICATION)%: thunderbird%.in
	sed -e 's,@LIBDIR@,$(DEBIAN_TB_DIR),g' \
	    -e 's,@DEB_MOZ_APPLICATION@,$(DEB_MOZ_APPLICATION),g' \
		-e 's,@DEB_MOZ_NAME_FIRST_UPPER@,$(DEB_MOZ_NAME_FIRST_UPPER),g' \
	       < $< > $@

pre-build:: $(subst_files)

configure/$(DEB_MOZ_APPLICATION)::
	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' config/autoconf.mk mozilla/config/autoconf.mk mozilla/js/src/config/autoconf.mk directory/c-sdk/config/autoconf.mk

makebuilddir/$(DEB_MOZ_APPLICATION):: debian/stamp-autotools-files-moz
debian/stamp-autotools-files-moz:
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/mozilla/configure ]; \
	then cd $(DEB_SRCDIR)/mozilla && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/mozilla/js/src/configure ]; \
	then cd $(DEB_SRCDIR)/mozilla/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/directory/c-sdk/configure ]; \
	then cd $(DEB_SRCDIR)/directory/c-sdk && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	touch $@

install/$(DEB_MOZ_APPLICATION)::
	install -d -m 755 debian/tmp/usr/share/pixmaps
	install -m 644 $(TB_ICON) debian/tmp/usr/share/pixmaps/$(DEB_MOZ_APPLICATION).xpm

install/$(DEB_MOZ_APPLICATION)-dev::
	find debian/tmp/usr/share/idl/icedove -type f -name '*.idl' -exec chmod a-x {} \;

binary-install/$(DEB_MOZ_APPLICATION)::
	touch debian/$(DEB_MOZ_NAME)$(DEBIAN_TB_DIR)/.autoreg
	dh_install -p$(DEB_MOZ_APPLICATION) debian/tmp/usr/share/pixmaps/$(DEB_MOZ_APPLICATION).xpm usr/share/pixmaps
	dh_link -p$(DEB_MOZ_APPLICATION) $(DEBIAN_TB_DIR)/$(DEB_MOZ_APPLICATION) usr/bin/$(DEB_MOZ_APPLICATION)

binary-post-install/$(DEB_MOZ_APPLICATION):: compare

binary-predeb/$(DEB_MOZ_APPLICATION)::
	LD_LIBRARY_PATH=$(DEB_DESTDIR)usr/lib/$(DEB_MOZ_APPLICATION) dpkg-shlibdeps -Tdebian/$(DEB_MOZ_APPLICATION).substvars -dDepends -pgnome $(foreach lib,dbusservice mozgnome nkgnomevfs,debian/$(DEB_MOZ_APPLICATION)/usr/lib/$(DEB_MOZ_APPLICATION)/components/lib$(lib).so)

clean::
	rm -f debian/stamp-autotools-files-moz debian/stamp-icedove-branding

=== debian/watch ===
version=3
http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/(\d\.[\d\.]+)/source/thunderbird-([\d\.]+).source\.tar\.bz2

## icedove 3.1.13

=== debian/changelog ===
icedove (3.1.13-1) unstable; urgency=high

  * New Upstream Version
    - MFSA 2011-34 Protection against fraudulent DigiNotar certificates

 -- Christoph Goehre <chris@sigxcpu.org>  Wed, 31 Aug 2011 20:58:14 +0200

icedove (3.1.12-1) unstable; urgency=high

  * New Upstream Version
    MFSA 2011-32:
    - CVE-2011-0084: Crash in SVGTextElement.getCharNumAtPosition()
    - CVE-2011-2378: Dangling pointer vulnerability in appendChild
    - CVE-2011-2980: Binary planting vulnerability in ThinkPadSensor::Startup
    - CVE-2011-2981: Privilege escalation using event handlers
    - CVE-2011-2982: Miscellaneous memory safety hazards (rv:1.9.2.20)
    - CVE-2011-2983: Private data leakage using RegExp.input
    - CVE-2011-2984: Privilege escalation dropping a tab element in content area
  * [c8fe0f9] rebuild patch queue from patch-queue branch
    obsolete patches (fixed upstream):
    - 0059-Fix-unaligned-reads-in-qcms.patch
  * [ddb3405] override libtheora embedded-library error
  * [4e1ec75] remove obsolete cdbs rule to extract tarball
  * [0fc5d44] build against libnotify4 (libnotify-dev >= 0.7) (Closes: #637194)
  * [77b5402] Build-depend on libjpeg-dev instead of libjpeg62-dev

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 20 Aug 2011 17:55:22 +0200

icedove (3.1.11-1) unstable; urgency=high

  * New Upstream Version
    - MFSA 2011-19 aka CVE-2011-2364, CVE-2011-2365, CVE-2011-2374,
                       CVE-2011-2376:
      Miscellaneous memory safety hazards (rv:3.0/1.9.2.18)
    - MFSA 2011-20 aka CVE-2011-2373: Use-after-free vulnerability when
      viewing XUL document with script disabled
    - MFSA 2011-21 aka CVE-2011-2377: Memory corruption due to
      multipart/x-mixed-replace images
    - MFSA 2011-22 aka CVE-2011-2371: Integer overflow and arbitrary code
      execution in Array.reduceRight()
    - MFSA 2011-23 aka CVE-2011-0083, CVE-2011-0085, CVE-2011-2363:
      Multiple dangling pointer vulnerabilities
    - MFSA 2011-24 aka CVE-2011-2362: Cookie isolation error
  * [2a82ce8] DM-Upload-Allowed is superfluous since I'm DD

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 26 Jun 2011 10:35:31 +0200

icedove (3.1.10-2) unstable; urgency=low

  * [de81b7f] remove obsolete build depends libxp-dev (Closes: #623668)
  * [633782d] change DEB_HOST_MULTIARCH back to DEB_HOST_GNU_TYPE and
    downgrade sqlite version (Closes: #627598)

 -- Christoph Goehre <chris@sigxcpu.org>  Mon, 06 Jun 2011 20:53:54 +0200

icedove (3.1.10-1) unstable; urgency=high

  * New Upstream Version (Closes: #625207)
    - MFSA 2011-12 aka CVE-2011-0069, CVE-2011-0070, CVE-2011-0072,
                       CVE-2011-0074, CVE-2011-0075, CVE-2011-0077,
                       CVE-2011-0078, CVE-2011-0080, CVE-2011-0081:
      Miscellaneous memory safety hazards (rv:2.0.1/ 1.9.2.17/ 1.9.1.19)
    - MFSA 2011-16 aka CVE-2011-0071: Directory traversal in resource: protocol
  * [78e0217] build against system libbz2
  * [e6af761] build against system libpng
  * [4b57c30] build against system libhunspell
  * [937f0bd] double check to build against most system libraries
  * [d6de723] rebuild patch queue from patch-queue branch
    added patches (Closes: #624969):
    - 0072-fix-building-with-gcc-4.6-Add-constructor-to-placate.patch
    - 0073-fix-building-with-gcc-4.6-os2.cc-missing-include-cst.patch
    - 0074-Add-constructor-for-nsCaseInsensitiveStringComparato.patch
    - 0075-Add-constructor-for-nsXULAppInfo-which-inherits-from.patch
    - 0076-Add-constructor-for-GTKEmbedDirectoryProvider.patch
    modified patches:
    - 0056-Disable-APNG-support-when-system-libpng-doesn-t-supp.patch
    obsolete patches (fixed upstream):
    - 0051-Do-exec-instead-of-uselessly-forking-in-xulrunner-la.patch
    - 0072-Add-support-for-libnotify-0.7.patch
  * [e190ef1] bump up standards version to 3.9.2 (change DEB_HOST_GNU_TYPE to
    DEB_HOST_MULTIARCH)

 -- Christoph Goehre <chris@sigxcpu.org>  Tue, 10 May 2011 20:03:04 +0200

icedove (3.1.9-2) unstable; urgency=low

  * Upload to unstable
  * [ace3b6f] rebuild patch queue from patch-queue branch
    added patches:
    - 0072-Add-support-for-libnotify-0.7.patch
  * [910f213] use DEP5 for copyright file
  * [3ae4c8b] set global section to 'mail'
  * [42c9c89] icedove.1: icedove is derived from Thunderbird instead of
    Mozilla suite

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 02 Apr 2011 09:43:04 +0200

icedove (3.1.9-1) experimental; urgency=low

  * New Upstream Version
    - MFSA 2011-01 aka CVE-2011-0053, CVE-2011-0062: Miscellaneous memory
      safety hazards (rv:1.9.2.14/ 1.9.1.17)
    - MFSA 2011-08 aka CVE-2010-1585: ParanoidFragmentSink allows javascript:
      URLs in chrome documents
    - MFSA 2011-09 aka CVE-2011-0061: Crash caused by corrupted JPEG image
  * [699536a] rebuild patch queue from patch-queue branch
    added patches:
    - 0069-save-a-copy-of-a-attached-file-when-sending-from-OOo.patch
      (Closes: #505875)
    - 0070-News-article-is-empty-if-selected-during-download-fr.patch
      (Closes: #487494)
    - 0071-restore-icedove-on-login-by-session-management.patch
      (Closes: #403458)
    modified patches:
    - 0003-no_dynamic_nss_softokn.patch
    - 0010-Support-building-on-GNU-kFreeBSD-and-GNU-Hurd.patch
    - 0030-Don-t-error-out-when-run-time-libsqlite-is-older-tha.patch
  * [98d8ac0] c-sdk move to sdks/c-sdk - adjust
    debian/{copyright,remove.nonfree,rules}

 -- Christoph Goehre <chris@sigxcpu.org>  Wed, 09 Mar 2011 20:21:59 +0100

icedove (3.1.7-1) experimental; urgency=low

  * New Upstream Version (Closes: #606977)
    - MFSA 2010-74 aka CVE-2010-3776, CVE-2010-3777: Miscellaneous memory
      safety hazards (rv:1.9.2.13/ 1.9.1.16)
    - MFSA 2010-75 aka CVE-2010-3769: Buffer overflow while line breaking
      after document.write with long string
    - MFSA 2010-78 aka CVE-2010-3768: Add support for OTS font sanitizer
  * [46e3e8a] rebuild patch queue from patch-queue branch
    added patches:


=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: icedove
-Section: web
+Section: mail
 Priority: optional
 Maintainer: Alexander Sack <asac@debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Christoph Goehre <chris@sigxcpu.org>
@@ -9,13 +9,13 @@
 	autotools-dev,
 	libgtk2.0-dev (>= 2.12),
 	zip,
-	libjpeg62-dev (>= 6b),
+	libjpeg-dev,
 	libpng12-dev (>= 1.2.0),
 	zlib1g-dev,
+	libbz2-dev,
 	libxft-dev,
 	libfontconfig1-dev,
 	libidl-dev (>= 0.8.0),
-	libxp-dev,
 	libxt-dev,
 	libxau-dev,
 	libcairo2-dev (>= 1.8.8),
@@ -26,15 +26,16 @@
 	libnss3-dev (>= 3.12.8),
 	libstartup-notification0-dev,
 	libdbus-glib-1-dev (>= 0.60),
-	libsqlite3-dev (>= 3.6.22),
+	libsqlite3-dev (>= 3.7.1),
 	libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 	libiw-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 	python-ply,
-	cdbs (>= 0.4.27)
+	cdbs (>= 0.4.27),
+	libnotify-dev (>= 0.7),
+	libffi-dev
 Vcs-Git: git://git.debian.org/pkg-mozilla/icedove.git
 Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/icedove.git;a=summary
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: icedove
 Architecture: any
@@ -44,7 +45,6 @@
 Provides: mail-reader
 Replaces: icedove-gnome-support (<< 3.0-1~)
 Breaks: myspell-ru (<< 0.99g5-8.1), myspell-lv (<< 0.7.3-3.1), myspell-et (<< 1:20030606-12.1), myspell-fi (<< 0.7-17.2), myspell-cs-cz (<< 20040229-4.1), myspell-el-gr (<< 0.3-1.1), myspell-nn (<< 2.0.10-3.1), myspell-nb (<< 2.0.10-3.1), hunspell-ar (<< 0.0.0+20080110-1.1), myspell-hu (<< 0.99.4-1.2), hunspell-gl-es (<< 2.2a-6), myspell-gv (<< 0.50-8), myspell-en-au (<< 2.1-5), myspell-fa (<< 0.20070816-2), hunspell-uz (<< 0.6-3.1), hunspell-ko (<< 0.3.3-1), hunspell-se (<< 1.0~beta6.20081222-1.1), hunspell-de-med (<< 20090825-1), hunspell-en-us (<< 20070829-3), myspell-sv-se (<< 1.3.8-6-2.2), myspell-sk (<< 0.5.5a-2.1), myspell-fo (<< 0.2.36-3), myspell-nl (<< 1:1.10-3), myspell-pt-br (<< 2009.03.30-1.1), myspell-pl (<< 20090830-1), myspell-pt-pt (<< 20090309-1.1), myspell-ga (<< 2.0-19), myspell-gd (<< 0.50-7), myspell-ku (<< 0.20.0-1.1), myspell-hr (<< 20060617-2), myspell-fr-gut (<< 1:1.0-26.1), myspell-eo (<< 2.1.2000.02.25-41), myspell-de-de-oldspell (<< 1:2-25.1), myspell-da (<< 1.6.18-1.1), myspell-es (<< 1.10-7), myspell-de-at (<< 20071211-2), myspell-de-ch (<< 20071211-2), myspell-de-de (<< 20071211-2), hunspell-de-at (<< 20071211-2), hunspell-de-ch (<< 20071211-2), hunspell-de-de (<< 20071211-2), myspell-ca (<< 0.6-8), myspell-tl (<< 0.4-0-5), myspell-ne (<< 1.0-4.1), myspell-fr (<< 1.4-25), myspell-hy (<< 0.10.1-1.1), myspell-en-us (<< 1:3.1.0-3), myspell-en-gb (<< 1:3.1.0-3), myspell-en-za (<< 1:3.1.0-3), myspell-af (<< 1:3.1.0-3), myspell-it (<< 1:3.1.0-3), myspell-sw (<< 1:3.1.0-3), myspell-th (<< 1:3.1.0-3), hunspell-en-ca (<< 1:3.1.0-3), hunspell-ne (<< 1:3.1.0-3), hunspell-da (<< 1:3.1.0-3), hunspell-fr (<< 1:3.1.0-3), hunspell-vi (<< 1:3.1.0-3), hunspell-hu (<< 1:3.1.0-3), hunspell-sr (<< 1:3.1.0-3), hunspell-sh (<< 1:3.1.0-3), icedove-gnome-support (<< 3.0-1~)
-Section: mail
 Description: mail/news client with RSS and integrated spam filter support
  Icedove is an unbranded Thunderbird mail client suitable for free
  distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
@@ -57,7 +57,6 @@
 
 Package: icedove-dev
 Architecture: any
-Section: mail
 Depends: icedove (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libnspr4-dev, libnss3-dev
 Description: Development files for Icedove
  Icedove is an unbranded Thunderbird mail client suitable for free

=== debian/rules ===
--- 
+++ 
@@ -46,12 +46,6 @@
 
 DEB_AUTO_UPDATE_AUTOCONF=2.13
 
-ifneq (,$(wildcard *.tar.bz2)$(DEBIAN_MOZCLIENT_EMBEDDED))
-   DEB_TAR_SRCDIR := mozilla
-   MOZCLIENT_EMBEDDED = 1
-   DEBIAN_TB_DIR = /usr/lib/$(DEB_MOZ_NAME)-$(shell tail -1 build-tree/mozilla/$(MOZ_APPLICATION)/config/$(TB_VERSION_FILE))
-   include /usr/share/cdbs/1/rules/tarball.mk
-endif
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include $(CURDIR)/debian/mozclient/$(DEB_MOZ_APPLICATION).mk
@@ -83,9 +77,9 @@
 	--with-system-jpeg=/usr \
 	--with-system-zlib=/usr \
 	--with-system-bz2 \
-	--with-system-png \
 	--with-system-nspr \
 	--with-system-nss \
+	--with-system-png \
 	--disable-javaxpcom \
 	--disable-crashreporter \
 	--disable-elf-dynstr-gc \
@@ -107,6 +101,8 @@
 	--enable-crypto \
 	--enable-system-cairo \
 	--enable-system-sqlite \
+	--enable-system-ffi \
+	--enable-system-hunspell \
 	--with-distribution-id=$(DEBIAN_DIST) \
 	--build=$(DEB_BUILD_GNU_TYPE) \
 	--host=$(DEB_HOST_GNU_TYPE) \
@@ -117,6 +113,10 @@
 	DEB_CONFIGURE_USER_FLAGS += --disable-optimize
 else
 	DEB_CONFIGURE_USER_FLAGS += --enable-optimize
+endif
+
+ifneq (,$(filter kfreebsd-% hurd-%,$(DEB_BUILD_ARCH)))
+	DEB_CONFIGURE_USER_FLAGS += --disable-necko-wifi
 endif
 
 ifeq ($(DEB_BUILD_ARCH),alpha)
@@ -132,6 +132,7 @@
 	debian/$(DEB_MOZ_APPLICATION).menu \
 	debian/$(DEB_MOZ_APPLICATION).desktop \
 	debian/$(DEB_MOZ_APPLICATION).pc \
+	debian/$(DEB_MOZ_APPLICATION).lintian-overrides \
 	$(NULL)
 
 $(DEB_MOZ_APPLICATION)%: thunderbird%.in
@@ -143,7 +144,26 @@
 pre-build:: $(subst_files)
 
 configure/$(DEB_MOZ_APPLICATION)::
-	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' config/autoconf.mk mozilla/config/autoconf.mk mozilla/js/src/config/autoconf.mk directory/c-sdk/config/autoconf.mk
+	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' config/autoconf.mk mozilla/config/autoconf.mk mozilla/js/src/config/autoconf.mk directory/sdks/c-sdk/config/autoconf.mk
+# Ensure --{with,enable}-system options properly set expected variables
+# according to the definitions in the mozconfig file.
+	@awk -F' *# *| *$$' ' \
+	BEGIN { "find $(CURDIR)/mozilla -name autoconf.mk -printf \"%p \"" | getline confs } \
+	$$1 ~ /system/ { \
+		if (! $$2) { \
+			print FILENAME ": Missing variable for",$$1; \
+			error=1; \
+		} else { \
+			split($$2,var,"="); \
+			cmd = "grep -l " var[1] " " confs; \
+			cmd | getline dir; \
+			sub(/\/[^\/]*$$/, "", dir); \
+			cmd = "$(MAKE) -C " dir " --no-print-directory echo-variable-" var[1]; \
+			cmd | getline value; \
+			if (value != var[2]) { print $$1, "triggered", var[1] "=" value,"instead of",$$2; error=1 } \
+		} \
+	} \
+	END { if (error) { exit 1 }}' debian/icedove.configopts
 
 makebuilddir/$(DEB_MOZ_APPLICATION):: debian/stamp-autotools-files-moz
 debian/stamp-autotools-files-moz:
@@ -151,13 +171,31 @@
 	then cd $(DEB_SRCDIR)/mozilla && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
 	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/mozilla/js/src/configure ]; \
 	then cd $(DEB_SRCDIR)/mozilla/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
-	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/directory/c-sdk/configure ]; \
-	then cd $(DEB_SRCDIR)/directory/c-sdk && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
+	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/directory/sdks/c-sdk/configure ]; \
+	then cd $(DEB_SRCDIR)/directory/sdks/c-sdk && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
 	touch $@
 
 install/$(DEB_MOZ_APPLICATION)::
 	install -d -m 755 debian/tmp/usr/share/pixmaps
 	install -m 644 $(TB_ICON) debian/tmp/usr/share/pixmaps/$(DEB_MOZ_APPLICATION).xpm
+ifeq ($(DEB_MOZ_NAME),icedove)
+# Install icons
+	install -d -m 755 debian/icedove/usr/share/icons/hicolor/16x16/apps
+	install -m 644 debian/app-icons/icedove16.png \
+		debian/icedove/usr/share/icons/hicolor/16x16/apps/icedove.png
+	install -d -m 755 debian/icedove/usr/share/icons/hicolor/32x32/apps
+	install -m 644 debian/app-icons/icedove32.png \
+		debian/icedove/usr/share/icons/hicolor/32x32/apps/icedove.png
+	install -d -m 755 debian/icedove/usr/share/icons/hicolor/64x64/apps
+	install -m 644 debian/app-icons/icedove64.png \
+		debian/icedove/usr/share/icons/hicolor/64x64/apps/icedove.png
+	install -d -m 755 debian/icedove/usr/share/icons/hicolor/128x128/apps
+	install -m 644 debian/app-icons/icedove128.png \
+		debian/icedove/usr/share/icons/hicolor/128x128/apps/icedove.png
+	install -d -m 755 debian/icedove/usr/share/icons/hicolor/scalable/apps
+	install -m 644 debian/app-icons/icedovebig.svg \
+		debian/icedove/usr/share/icons/hicolor/scalable/apps/icedove.svg
+endif
 
 install/$(DEB_MOZ_APPLICATION)-dev::
 	find debian/tmp/usr/share/idl/icedove -type f -name '*.idl' -exec chmod a-x {} \;

## icedove 3.1.16

=== debian/changelog ===
icedove (3.1.16-1) unstable; urgency=high

  * New Upstream Version
    - MFSA 2011-46 aka CVE-2011-3647: loadSubScript unwraps XPCNativeWrapper
      scope parameter
    - MFSA 2011-47 aka CVE-2011-3648: Potential XSS against sites using
      Shift-JIS
    - MFSA 2011-49 aka CVE-2011-3650: Memory corruption while profiling using
      Firebug

 -- Christoph Goehre <chris@sigxcpu.org>  Mon, 14 Nov 2011 18:53:40 +0100

icedove (3.1.15-1) unstable; urgency=high

  * New Upstream Version
    - MFSA 2011-36 aka CVE-2011-2995: Miscellaneous memory safety hazards
      (rv:7.0 / rv:1.9.2.23)
    - MFSA 2011-37 aka CVE-2011-2998: Integer underflow when using JavaScript
      RegExp
    - MFSA 2011-38 aka CVE-2011-2999: XSS via plugins and shadowed
      window.location object
    - MFSA 2011-39 aka CVE-2011-3000: Defense against multiple Location
      headers due to CRLF Injection
    - MFSA 2011-40 aka CVE-2011-2372, CVE-2011-3001: Code installation through
      holding down Enter
  * [ba1f4d3] add Japanese translation for desktop menu entry.
    Thanks to Hideki Yamane <henrich@debian.org> (Closes: #640679)

 -- Christoph Goehre <chris@sigxcpu.org>  Wed, 05 Oct 2011 20:05:08 +0200

## icedove 5.0

=== debian/changelog ===
icedove (5.0-2) experimental; urgency=low

  * [7f92927] fix FTBFS on ia64: use gcc with -O2 instead of -Os
  * [b6b8dea] Disable methodjit on armel
  * [5b45336] remove obsolete conffiles with dpkg-maintscript-helper
    (Closes: #636819)
  * [868cfa3] rebuild patch queue from patch-queue branch
    added patches:
    - porting/Allow-ipc-code-to-build-on-GNU-hurd.patch - fix building on
      GNU/hurd - Thanks to Pino Toscano

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 07 Aug 2011 15:35:09 +0200

icedove (5.0-1) experimental; urgency=low

  * New Upstream Version (Closes: #632037)
  * [98c5a8f] build against libffi and libvpx
  * [52dff12] build javascript lib as shared library
  * [6f1c24d] build against mozilla png library
  * [9e16beb] c-sdk moved from directory/sdks/c-sdk to ldap/sdks/c-sdk
  * [57763a0] override libtheora embedded-library error
  * [fc71b62] adjust install/links files for new upstream version
  * [6e83a58] Revert "lintian: override ancient-libtool warning" override no
    longer needed
  * [d65b463] change hardcoded list of non-Linux build depends into linux-any
    (Closes: #634301)
  * [ff3a8f3] remove file compare in build run
  * [a21efa9] add branding for icedove 5.0
  * [7023939] update porting/Fix-FTBFS-in-xpcom-base-on-armv4t.patch - fix
    building on armhf

 -- Christoph Goehre <chris@sigxcpu.org>  Wed, 03 Aug 2011 18:25:17 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
 	autotools-dev,
 	libgtk2.0-dev (>= 2.12),
 	zip,
-	libjpeg-dev,
-	libpng12-dev (>= 1.2.0),
+	libjpeg62-dev (>= 6b),
 	zlib1g-dev,
 	libbz2-dev,
 	libxft-dev,
@@ -27,12 +26,15 @@
 	libstartup-notification0-dev,
 	libdbus-glib-1-dev (>= 0.60),
 	libsqlite3-dev (>= 3.7.1),
-	libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-	libiw-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+	libasound2-dev [linux-any],
+	libiw-dev [linux-any],
 	python-ply,
 	cdbs (>= 0.4.27),
-	libnotify-dev (>= 0.7),
-	libffi-dev
+	libnotify-dev (>= 0.4),
+	libffi-dev,
+	libevent-dev (>= 1.4.1),
+	libvpx-dev,
+	mesa-common-dev
 Vcs-Git: git://git.debian.org/pkg-mozilla/icedove.git
 Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/icedove.git;a=summary
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -46,10 +46,15 @@
 
 DEB_AUTO_UPDATE_AUTOCONF=2.13
 
+ifneq (,$(wildcard *.tar.bz2)$(DEBIAN_MOZCLIENT_EMBEDDED))
+   DEB_TAR_SRCDIR := mozilla
+   MOZCLIENT_EMBEDDED = 1
+   DEBIAN_TB_DIR = /usr/lib/$(DEB_MOZ_NAME)-$(shell tail -1 build-tree/mozilla/$(MOZ_APPLICATION)/config/$(TB_VERSION_FILE))
+   include /usr/share/cdbs/1/rules/tarball.mk
+endif
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include $(CURDIR)/debian/mozclient/$(DEB_MOZ_APPLICATION).mk
-include $(CURDIR)/debian/mozclient/compare.mk
 
 DEB_AUTO_UPDATE_DEBIAN_CONTROL=0
 
@@ -77,9 +82,10 @@
 	--with-system-jpeg=/usr \
 	--with-system-zlib=/usr \
 	--with-system-bz2 \
+	--with-system-libvpx \
+	--with-system-libevent \
 	--with-system-nspr \
 	--with-system-nss \
-	--with-system-png \
 	--disable-javaxpcom \
 	--disable-crashreporter \
 	--disable-elf-dynstr-gc \
@@ -99,6 +105,7 @@
 	--enable-gnomeui \
 	--enable-canvas \
 	--enable-crypto \
+	--enable-shared-js \
 	--enable-system-cairo \
 	--enable-system-sqlite \
 	--enable-system-ffi \
@@ -123,8 +130,18 @@
 	MAIN_LDFLAGS += -Wl,--no-relax
 endif
 
+ifeq ($(DEB_BUILD_ARCH),ia64)
+	DEB_CONFIGURE_USER_FLAGS += --enable-optimize=-O2
+endif
+
+ifeq ($(DEB_BUILD_ARCH),armel)
+	DEB_CONFIGURE_USER_FLAGS += --disable-methodjit
+endif
+
 subst_files = \
 	debian/$(DEB_MOZ_APPLICATION).postinst \
+	debian/$(DEB_MOZ_APPLICATION).postrm \
+	debian/$(DEB_MOZ_APPLICATION).preinst \
 	debian/$(DEB_MOZ_APPLICATION).prerm \
 	debian/$(DEB_MOZ_APPLICATION).install \
 	debian/$(DEB_MOZ_APPLICATION)-dev.install \
@@ -133,6 +150,7 @@
 	debian/$(DEB_MOZ_APPLICATION).desktop \
 	debian/$(DEB_MOZ_APPLICATION).pc \
 	debian/$(DEB_MOZ_APPLICATION).lintian-overrides \
+	debian/$(DEB_MOZ_APPLICATION)-dev.lintian-overrides \
 	$(NULL)
 
 $(DEB_MOZ_APPLICATION)%: thunderbird%.in
@@ -144,7 +162,7 @@
 pre-build:: $(subst_files)
 
 configure/$(DEB_MOZ_APPLICATION)::
-	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' config/autoconf.mk mozilla/config/autoconf.mk mozilla/js/src/config/autoconf.mk directory/sdks/c-sdk/config/autoconf.mk
+	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' config/autoconf.mk mozilla/config/autoconf.mk mozilla/js/src/config/autoconf.mk ldap/sdks/c-sdk/config/autoconf.mk
 # Ensure --{with,enable}-system options properly set expected variables
 # according to the definitions in the mozconfig file.
 	@awk -F' *# *| *$$' ' \
@@ -171,8 +189,8 @@
 	then cd $(DEB_SRCDIR)/mozilla && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
 	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/mozilla/js/src/configure ]; \
 	then cd $(DEB_SRCDIR)/mozilla/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
-	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/directory/sdks/c-sdk/configure ]; \
-	then cd $(DEB_SRCDIR)/directory/sdks/c-sdk && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
+	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/ldap/sdks/c-sdk/configure ]; \
+	then cd $(DEB_SRCDIR)/ldap/sdks/c-sdk && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
 	touch $@
 
 install/$(DEB_MOZ_APPLICATION)::
@@ -205,10 +223,7 @@
 	dh_install -p$(DEB_MOZ_APPLICATION) debian/tmp/usr/share/pixmaps/$(DEB_MOZ_APPLICATION).xpm usr/share/pixmaps
 	dh_link -p$(DEB_MOZ_APPLICATION) $(DEBIAN_TB_DIR)/$(DEB_MOZ_APPLICATION) usr/bin/$(DEB_MOZ_APPLICATION)
 
-binary-post-install/$(DEB_MOZ_APPLICATION):: compare
-
 binary-predeb/$(DEB_MOZ_APPLICATION)::
 	LD_LIBRARY_PATH=$(DEB_DESTDIR)usr/lib/$(DEB_MOZ_APPLICATION) dpkg-shlibdeps -Tdebian/$(DEB_MOZ_APPLICATION).substvars -dDepends -pgnome $(foreach lib,dbusservice mozgnome nkgnomevfs,debian/$(DEB_MOZ_APPLICATION)/usr/lib/$(DEB_MOZ_APPLICATION)/components/lib$(lib).so)
 
 clean::
-	rm -f debian/stamp-autotools-files-moz debian/stamp-icedove-branding
